## parole 4.20.0

=== meson_options.txt ===
option(
  'x11',
  type: 'feature',
  value: 'auto',
  description: 'Support for the X11 windowing system',
)

option(
  'wayland',
  type: 'feature',
  value: 'auto',
  description: 'Support for the Wayland windowing system',
)

option(
  'taglib',
  type: 'feature',
  value: 'auto',
  description: 'Taglib support',
)

option(
  'notify-plugin',
  type: 'feature',
  value: 'auto',
  description: 'Build parole notify plugin',
)

option(
  'mpris2-plugin',
  type: 'feature',
  value: 'auto',
  description: 'Build parole mpris2 plugin',
)

option(
  'tray-plugin',
  type: 'feature',
  value: 'auto',
  description: 'Build parole tray plugin',
)

option(
  'gtk-doc',
  type: 'boolean',
  value: false,
  description: 'Build gtk-doc HTML',
)

## parole 0.2.0.6

=== debian/changelog ===
parole (0.2.0.6-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * debian/control:
    - drop unneeded build-dep on xulrunner-dev.   closes: #594073
    - suggests a few useful gstreamer0.10 plugins.
    - build-depends on quilt.
  * debian/patches:
    - 01_fix-implicit-dso-linking.patch: added, fixes FTBFS with binutils-gold.
    - series: added.                                            closes: #615760
  * debian/rules: pass --with quilt to dh.

  [ Yves-Alexis Perez ]
  * New upstream release.
  * Switch to 3.0 (quilt) source format.
  * debian/control:
    - update standards version to 3.9.2.
    - drop browser-plugin-parole package.
    - drop quilt build-dep.
    - add build-dep on hardening-includes
    - bump xfce build-deps to 4.8.
  * debian/parole.install updated.
  * debian/rules:
    - use --fail-missing and manually remove spurious files.
    - drop quilt addon
    - pick build flags from dpkg-buildflags.
    - add -O1, -z,defs and --as-needed to LDFLAGS.
    - add hardening flags to build flags.
    - stop harcoding the shell to bash, it works fine now.      closes: #623830

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 24 Apr 2011 16:09:19 +0200

parole (0.2.0.2-3) unstable; urgency=low

  * debian/control:
    - add depends on gstreamer0.10-x.                           closes: #583610

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 29 May 2010 00:00:40 +0200

parole (0.2.0.2-2) unstable; urgency=low

  * debian/control, debian/browser-plugin-parole: rename browser plugin
    package since it seems that's the preferred scheme.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 28 Apr 2010 21:42:11 +0200

parole (0.2.0.2-1) unstable; urgency=low

  * Initial release                                            closes: #549971

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 26 Apr 2010 00:04:34 +0200

=== debian/control ===
Source: parole
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>,
 Simon Huggins <huggie@earth.li>, Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), intltool, pkg-config, 
 libgtk2.0-dev (>= 2.16), libgstreamer0.10-dev, 
 libgstreamer-plugins-base0.10-dev, libdbus-1-dev, libdbus-glib-1-dev,
 libxfcegui4-dev (>= 4.8.0), libnotify-dev, libtagc0-dev,
 hardening-includes, xfce4-dev-tools, libtool, gtk-doc-tools
Standards-Version: 3.9.2
Homepage: http://goodies.xfce.org/projects/applications/parole
Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/parole/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/parole/

Package: parole
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-x
Suggests: gstreamer0.10-plugins-ugly, gstreamer0.10-plugins-bad, gstreamer0.10-ffmpeg
Description: media player based on GStreamer framework
 Parole is a media player for the Xfce desktop environment, written using the
 GStreamer framework.
 .
 Parole features playback of local media files, including video with subtitles
 support, DVD/CD and live streams; it is also extensible via plugins.
 .
 This package contains Parole media player.

Package: parole-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util-dev, libglib2.0-dev,
 libgtk2.0-dev
Description: development files for Parole media player
 Parole is a media player for the Xfce desktop environment, written using the
 GStreamer framework.
 .
 Parole features playback of local media files, including video with subtitles
 support, DVD/CD and live streams; it is also extensible via plugins.
 .
 This package contains development files for Parole's plugin interface.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/hardening-includes/hardening.make

LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
LDFLAGS+=-Wl,-O1 -Wl,--as-needed
CFLAGS+=$(HARDENING_CFLAGS)
LDFLAGS+=$(HARDENING_LDFLAGS)

export CFLAGS LDFLAGS

%:
	dh $@

override_dh_auto_configure:
	NOCONFIGURE=1 xdt-autogen
	dh_auto_configure

override_dh_makeshlibs:
	dh_makeshlibs -X usr/lib/parole-0

override_dh_install:
	find debian/tmp/usr/lib -name '*.la' -delete
	dh_install --fail-missing

## parole 0.3.0.3

=== debian/changelog ===
parole (0.3.0.3-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 22 Aug 2012 10:09:31 +0200

parole (0.3.0.2-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sun, 19 Aug 2012 23:07:01 +0200

parole (0.3.0.1-0ubuntu1) quantal; urgency=low

  * New upstream bugfix release.
  * debian/control:
    - drop b-deps on xfce4-dev-tools, libtool, gtk-doc-tools, unused.
  * debian/rules:
    - drop xdt-autogen call.
   * debian/patches:
    - 01_fix-plugin-install-dir.patch, 02_fix-ftbfs-enable-debug.patch,
      03_fix-ftbfs-built-twice.patch: dropped, included upstream.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 16 Aug 2012 17:46:42 +0200

parole (0.3.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * debian/patches:
    - 01_fix-implicit-dso-linking.patch: dropped, included upstream.
    - 01_fix-plugin-install-dir.patch, 02_fix-ftbfs-enable-debug.patch,
      03_fix-ftbfs-built-twice.patch: added, fix wrong install path and build
      failures.
  * debian/control:
    - replace b-dep on libxfcegui4-dev with libxfce4ui-1-dev and bump
      libgtk2.0-dev to >= 2.20.
  * debian/rules:
    - create empty m4 directory if missing.
    - clean up autogenerated files.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 15 Aug 2012 13:56:10 +0200

parole (0.2.0.6-1build1) quantal; urgency=low

  * No change rebuild against libxfce4util6.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Sat, 19 May 2012 19:39:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: parole
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>,
  Simon Huggins <huggie@earth.li>, Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), intltool, pkg-config, 
- libgtk2.0-dev (>= 2.16), libgstreamer0.10-dev, 
+ libgtk2.0-dev (>= 2.20), libgstreamer0.10-dev, 
  libgstreamer-plugins-base0.10-dev, libdbus-1-dev, libdbus-glib-1-dev,
- libxfcegui4-dev (>= 4.8.0), libnotify-dev, libtagc0-dev,
- hardening-includes, xfce4-dev-tools, libtool, gtk-doc-tools
+ libxfce4ui-1-dev, libnotify-dev, libtagc0-dev,
+ hardening-includes
 Standards-Version: 3.9.2
 Homepage: http://goodies.xfce.org/projects/applications/parole
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/parole/

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,6 @@
 %:
 	dh $@
 
-override_dh_auto_configure:
-	NOCONFIGURE=1 xdt-autogen
-	dh_auto_configure
-
 override_dh_makeshlibs:
 	dh_makeshlibs -X usr/lib/parole-0

## parole 0.4.0

=== debian/changelog ===
parole (0.4.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control:
    - add b-dep on libxfconf-0-dev since parole now uses Xfconf
    - suggests gnome-codec-install for the missing codec feature.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Wed, 09 Jan 2013 19:08:53 +0100

parole (0.3.0.3-1) experimental; urgency=low

  [ Lionel Le Folgoc ]
  * New upstream release.
  * debian/patches:
    - 01_fix-implicit-dso-linking.patch: dropped, included upstream.
  * debian/control:
    - replace b-dep on libxfcegui4-dev with libxfce4ui-1-dev and bump
      libgtk2.0-dev to >= 2.20.
    - drop b-deps on xfce4-dev-tools, libtool, gtk-doc-tools, unused.
  * debian/rules:
    - drop xdt-autogen call.

  [ Yves-Alexis Perez ]
  * debian/control:
    - update standards version to 3.9.3.
    - update debhelper build-dep to 9 and dpkg-dev one to 1.16.1
    - drop hardening-includes build-dep.
  * debian/rules:
    - use debhelper 9 / dpkg-dev 1.16.1 hardening support.
    - use multiarch paths.
  * debian/compat bumped to 9.
  * debian/parole.install:
    - update paths for multiarch.

 -- Lionel Le Folgoc <mrpouit@gmail.com>  Sun, 07 Oct 2012 10:50:20 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>,
  Simon Huggins <huggie@earth.li>, Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), intltool, pkg-config, 
+Build-Depends: debhelper (>= 9), intltool, pkg-config, 
  libgtk2.0-dev (>= 2.20), libgstreamer0.10-dev, 
  libgstreamer-plugins-base0.10-dev, libdbus-1-dev, libdbus-glib-1-dev,
- libxfce4ui-1-dev, libnotify-dev, libtagc0-dev,
- hardening-includes
-Standards-Version: 3.9.2
+ libxfce4ui-1-dev, libxfconf-0-dev, libnotify-dev, libtagc0-dev,
+ dpkg-dev (>= 1.16.1)
+Standards-Version: 3.9.3
 Homepage: http://goodies.xfce.org/projects/applications/parole
 Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/parole/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/parole/
@@ -18,7 +18,8 @@
 Package: parole
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-x
-Suggests: gstreamer0.10-plugins-ugly, gstreamer0.10-plugins-bad, gstreamer0.10-ffmpeg
+Suggests: gstreamer0.10-plugins-ugly, gstreamer0.10-plugins-bad,
+ gstreamer0.10-ffmpeg, gnome-codec-install
 Description: media player based on GStreamer framework
  Parole is a media player for the Xfce desktop environment, written using the
  GStreamer framework.

## parole 0.5.0

=== debian/changelog ===
parole (0.5.0-0ubuntu1) raring; urgency=low

  * New upstream release

  * Update link to GPL license to appease lintian
    - update debian/copyright

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 07 Mar 2013 14:04:30 -0600

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+pie,+bindnow

%:
	dh $@

override_dh_makeshlibs:
	dh_makeshlibs -X usr/lib/$(DEB_HOST_MULTIARCH)/parole-0

override_dh_install:
	find debian/tmp/usr/lib -name '*.la' -delete
	dh_install --fail-missing

## parole 0.5.2

=== debian/changelog ===
parole (0.5.2-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/rules:
    - include architecture.mk to get DEB_HOST_MULTIARCH.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 25 Jul 2013 22:05:33 +0200

parole (0.5.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - add build-dep on autotools-dev.
  * debian/rules:
    - use autotools-dev dh addon to refresh config.{guess,sub}.

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 03 Jun 2013 22:20:52 +0200

parole (0.5.0-1) unstable; urgency=low

  [ Lionel Le Folgoc ]
  * debian/patches: add missing DEP3 headers.
  * debian/control:
    - add b-dep on libxfconf-0-dev since parole now uses Xfconf
    - suggests gnome-codec-install for the missing codec feature.

  [ Micah Gersten ]
  * Update link to GPL license to appease lintian
    - update debian/copyright

  [ Yves-Alexis Perez ]
  * New upstream release.
  * debian/patches:
    - 01_fix-implicit-dso-linking dropped, not needed anymore.
  * debian/rules:
    - drop call to xdt-autogen, not needed anymore.
    - use parallel build.
    - use debhelper 9 / dpkg-dev 1.16.1 hardening support.
    - use multiarch paths.
  * debian/control:
    - update standards version to 3.9.4.
    - update debhelper build-dep to 9
    - drop hardening-includes build-dep.
    - drop xfce4-dev-tools, libtool and gtk-doc-tools build-deps.
    - replace libxfcegui4 build-dep by libxfce4ui.
    - drop Simon and Emmanuele from uploaders, thanks to them for their work!
  * debian/compat bumped to 9.
  * debian/parole.install:
    - update paths for multiarch.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 25 May 2013 14:54:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: parole
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
-Uploaders: Yves-Alexis Perez <corsac@debian.org>, Emanuele Rocca <ema@debian.org>,
- Simon Huggins <huggie@earth.li>, Lionel Le Folgoc <mrpouit@gmail.com>
+Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
+ Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), intltool, pkg-config, 
  libgtk2.0-dev (>= 2.20), libgstreamer0.10-dev, 
  libgstreamer-plugins-base0.10-dev, libdbus-1-dev, libdbus-glib-1-dev,
- libxfce4ui-1-dev, libxfconf-0-dev, libnotify-dev, libtagc0-dev,
- dpkg-dev (>= 1.16.1)
-Standards-Version: 3.9.3
+ libxfce4ui-1-dev, libxfconf-0-dev (>= 4.10),
+ libnotify-dev, libtagc0-dev, autotools-dev
+Standards-Version: 3.9.4
 Homepage: http://goodies.xfce.org/projects/applications/parole
-Vcs-Svn: svn://svn.debian.org/pkg-xfce/goodies/trunk/parole/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-xfce/goodies/trunk/parole/
+Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/parole/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/parole/
 
 Package: parole
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel --with autotools-dev

override_dh_makeshlibs:
	dh_makeshlibs -X usr/lib/$(DEB_HOST_MULTIARCH)/parole-0

override_dh_install:
	find debian/tmp/usr/lib -name '*.la' -delete
	dh_install --fail-missing

## parole 0.5.4

=== debian/changelog ===
parole (0.5.4-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release
  * Replace autotools-dev with autoreconf
  * debian/rules: --disable-silent-rules
  * Update manpage

  [ Yves-Alexis Perez ]
  * debian/rules:
    - drop xdt-autogen and autoreconf calls.
  * debian/control:
    - drop build-dep on dh-autoreconf.

 -- Yves-Alexis Perez <corsac@debian.org>  Thu, 05 Dec 2013 21:58:41 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  libgtk2.0-dev (>= 2.20), libgstreamer0.10-dev, 
  libgstreamer-plugins-base0.10-dev, libdbus-1-dev, libdbus-glib-1-dev,
  libxfce4ui-1-dev, libxfconf-0-dev (>= 4.10),
- libnotify-dev, libtagc0-dev, autotools-dev
+ libnotify-dev, libtagc0-dev
 Standards-Version: 3.9.4
 Homepage: http://goodies.xfce.org/projects/applications/parole
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/parole/

=== debian/rules ===
#!/usr/bin/make -f
#include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallell

override_dh_makeshlibs:
	dh_makeshlibs -X usr/lib/$(DEB_HOST_MULTIARCH)/parole-0

override_dh_install:
	find debian/tmp/usr/lib -name '*.la' -delete
	dh_install --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

## parole 0.6.1

=== debian/changelog ===
parole (0.6.1-0ubuntu3.1) trusty; urgency=medium

  * Add recommends on gstreamer1.0-pulseaudio. LP: #1309951

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 20 Apr 2014 22:01:52 -0400

parole (0.6.1-0ubuntu3) trusty; urgency=medium

  * Add recommends on gstreamer1.0-plugins-base. LP: #1278089

 -- Jackson Doak <noskcaj@ubuntu.com>  Fri, 11 Apr 2014 08:03:22 +1000

parole (0.6.1-0ubuntu2) trusty; urgency=medium

  * d/rules: Strip -Wl,-Bsymbolic-functions LDFLAGS to fix loading plugins.
    (LP: #1286046, LP: #1168810, Xfce #9904)

 -- Unit 193 <unit193@ubuntu.com>  Wed, 09 Apr 2014 16:53:02 -0400

parole (0.6.1-0ubuntu1) trusty; urgency=medium

  * New upstream release.
    - Properly use specified device, use correct URI (lp: #1098323)

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 30 Mar 2014 13:32:17 +1100

parole (0.6.0-1) experimental; urgency=low

  [ Yves-Alexis Perez ]
  * debian/control:
    - update libxfce4ui-1-dev build-dep to libxfce4ui-2-dev
    - add depends on gstreamer1.0-libav. 

  [ Lionel Le Folgoc ]
  * debian/control:
    - switch to gst1.0 since it's now the version used by default in parole.
    - change libgtk2.0-dev (b-)dep to libgtk-3-dev as libxfce4ui-2-dev uses
      gtk3.

  [ Jackson Doak ]
  * New upstream release (0.6.0) Closes: #729255
  * debian/control: Bump standards-version to 3.9.5
  * debian/copyright: Don't use symlink licenses

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 09 Mar 2014 10:00:46 +0100

=== debian/control ===
Source: parole
Section: xfce
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
 Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9), intltool, pkg-config, libgtk-3-dev, 
 libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libdbus-1-dev, 
 libdbus-glib-1-dev, libxfce4ui-2-dev, libxfconf-0-dev (>= 4.10),
 libnotify-dev, libtagc0-dev
Standards-Version: 3.9.5
Homepage: http://goodies.xfce.org/projects/applications/parole
Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/parole/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/parole/

Package: parole
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-x, gstreamer1.0-libav
Recommends: gstreamer1.0-plugins-base, gstreamer1.0-pulseaudio
Suggests: gstreamer1.0-plugins-ugly, gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-good, gnome-codec-install
Description: media player based on GStreamer framework
 Parole is a media player for the Xfce desktop environment, written using the
 GStreamer framework.
 .
 Parole features playback of local media files, including video with subtitles
 support, DVD/CD and live streams; it is also extensible via plugins.
 .
 This package contains Parole media player.

Package: parole-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util-dev, libglib2.0-dev,
 libgtk-3-dev
Description: development files for Parole media player
 Parole is a media player for the Xfce desktop environment, written using the
 GStreamer framework.
 .
 Parole features playback of local media files, including video with subtitles
 support, DVD/CD and live streams; it is also extensible via plugins.
 .
 This package contains development files for Parole's plugin interface.

=== debian/rules ===
#!/usr/bin/make -f
#include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

override_dh_makeshlibs:
	dh_makeshlibs -X usr/lib/$(DEB_HOST_MULTIARCH)/parole-0

override_dh_install:
	find debian/tmp/usr/lib -name '*.la' -delete
	dh_install --fail-missing

## parole 0.7.0

=== debian/changelog ===
parole (0.7.0-0ubuntu2) utopic; urgency=medium

  * Enable clutter backend.

 -- Sean Davis <smd.seandavis@gmail.com>  Tue, 29 Jul 2014 21:51:39 -0400

parole (0.7.0-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * Version gtk3 deps.

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 10 Jul 2014 09:24:13 +1000

parole (0.6.1-0ubuntu4) utopic; urgency=medium

  * Add recommends on gstreamer1.0-pulseaudio. LP: #1309951

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 20 Apr 2014 22:01:52 -0400

## parole 0.8.0

=== debian/changelog ===
parole (0.8.0-0ubuntu1~14.04) trusty; urgency=medium

  * New PPA release.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 01 Mar 2015 14:05:20 +1100

parole (0.7.0-0ubuntu3) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Sat, 20 Dec 2014 15:58:37 -0800

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
  Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 9), intltool, pkg-config, libgtk-3-dev, 
- libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libdbus-1-dev, 
- libdbus-glib-1-dev, libxfce4ui-2-dev, libxfconf-0-dev (>= 4.10),
- libnotify-dev, libtagc0-dev
+Build-Depends: debhelper (>= 9), intltool, pkg-config, libgtk-3-dev (>= 3.10), 
+ libclutter-gtk-1.0-dev, libclutter-gst-2.0-dev, libgstreamer1.0-dev, 
+ libgstreamer-plugins-base1.0-dev, libdbus-1-dev, libdbus-glib-1-dev, 
+ libxfce4ui-2-dev, libxfconf-0-dev (>= 4.10), libnotify-dev, libtagc0-dev
 Standards-Version: 3.9.5
 Homepage: http://goodies.xfce.org/projects/applications/parole
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/parole/
@@ -16,7 +16,8 @@
 
 Package: parole
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-x, gstreamer1.0-libav
+Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-clutter, 
+ gstreamer1.0-x, gstreamer1.0-libav
 Recommends: gstreamer1.0-plugins-base, gstreamer1.0-pulseaudio
 Suggests: gstreamer1.0-plugins-ugly, gstreamer1.0-plugins-bad,
  gstreamer1.0-plugins-good, gnome-codec-install
@@ -32,7 +33,7 @@
 Package: parole-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util-dev, libglib2.0-dev,
- libgtk-3-dev
+ libgtk-3-dev  (>= 3.10)
 Description: development files for Parole media player
  Parole is a media player for the Xfce desktop environment, written using the
  GStreamer framework.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@ --parallel
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules
+	dh_auto_configure -- --disable-silent-rules --enable-clutter
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X usr/lib/$(DEB_HOST_MULTIARCH)/parole-0

## parole 0.8.1

=== debian/changelog ===
parole (0.8.1-1ubuntu4) xenial; urgency=medium

  * Enable double-buffering for gstreamer widget (LP: #1557349)
    - debian/patches/02_double-buffering.patch

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 20 Mar 2016 22:05:12 -0400

parole (0.8.1-1ubuntu3) xenial; urgency=medium

  * Disable clutter backend, broken in xenial.
    - debian/control
    - debian/rules

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 13 Mar 2016 17:40:18 -0400

parole (0.8.1-1ubuntu2) xenial; urgency=medium

  * 01_plugin-loading.patch:
    - Add support for plugin loading by basename

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 10 Jan 2016 09:12:22 -0500

parole (0.8.1-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable clutter backend.
    - Add recommends on gstreamer1.0-pulseaudio.

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 20 Dec 2015 06:39:42 +1100

parole (0.8.1-1) unstable; urgency=medium

  [ Jackson Doak ]
  * New upstream release

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 18 Oct 2015 14:32:48 +0200

parole (0.8.1-0ubuntu1) wily; urgency=medium

  * New upstream bugfix release
  * debian/patches:
    - Dropped, included upstream.

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 15 Oct 2015 07:43:53 -0400

parole (0.8.0-2ubuntu2) wily; urgency=medium

  * debian/patches/xubuntu_bug12169.patch
    - Add upstream patch to fix segfault at close (LP: #1489533)

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 07 Sep 2015 16:49:27 -0400

parole (0.8.0-2ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Enable clutter backend.
    - Add recommends on gstreamer1.0-pulseaudio.

 -- Jackson Doak <noskcaj@ubuntu.com>  Thu, 07 May 2015 05:32:40 +0000

parole (0.8.0-2) unstable; urgency=medium

  * debian/control:
    - add dependency on gstreamer1.0-plugins-base, gstreamer1.0-alsa |
    gstreamer1.0-audiosink and gstreamer1.0-plugins-good, parole doesn't start
    without them.
  * Upload to unstable.

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 06 May 2015 21:07:30 +0200

parole (0.8.0-1) experimental; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream release.
  * Bump standards-version to 3.9.6

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 22 Mar 2015 14:51:08 +0100

parole (0.8.0-0ubuntu1) vivid; urgency=medium

  * New upstream release. LP: #1424887

 -- Jackson Doak <noskcaj@ubuntu.com>  Sun, 01 Mar 2015 14:05:20 +1100

parole (0.6.1-1) experimental; urgency=medium

  [ Jackson Doak ]
  * New upstream release.
    - Properly use specified device, use correct URI (lp: #1098323)

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 24 Jun 2014 21:32:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
  Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 9), intltool, pkg-config, libgtk-3-dev (>= 3.10), 
- libclutter-gtk-1.0-dev, libclutter-gst-2.0-dev, libgstreamer1.0-dev, 
- libgstreamer-plugins-base1.0-dev, libdbus-1-dev, libdbus-glib-1-dev, 
- libxfce4ui-2-dev, libxfconf-0-dev (>= 4.10), libnotify-dev, libtagc0-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), intltool, pkg-config, libgtk-3-dev, 
+ libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libdbus-1-dev, 
+ libdbus-glib-1-dev, libxfce4ui-2-dev, libxfconf-0-dev (>= 4.10), 
+ libnotify-dev, libtagc0-dev
+Standards-Version: 3.9.6
 Homepage: http://goodies.xfce.org/projects/applications/parole
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/parole/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/parole/
 
 Package: parole
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-clutter, 
- gstreamer1.0-x, gstreamer1.0-libav
-Recommends: gstreamer1.0-plugins-base, gstreamer1.0-pulseaudio
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ gstreamer1.0-x, gstreamer1.0-libav, gstreamer1.0-plugins-base,
+ gstreamer1.0-alsa | gstreamer1.0-audiosink, gstreamer1.0-plugins-good
+Recommends: gstreamer1.0-pulseaudio
 Suggests: gstreamer1.0-plugins-ugly, gstreamer1.0-plugins-bad,
- gstreamer1.0-plugins-good, gnome-codec-install
+ gnome-codec-install
 Description: media player based on GStreamer framework
  Parole is a media player for the Xfce desktop environment, written using the
  GStreamer framework.

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,12 @@
 %:
 	dh $@ --parallel
 
-override_dh_auto_configure:
-	dh_auto_configure -- --disable-silent-rules --enable-clutter
-
 override_dh_makeshlibs:
 	dh_makeshlibs -X usr/lib/$(DEB_HOST_MULTIARCH)/parole-0
 
 override_dh_install:
 	find debian/tmp/usr/lib -name '*.la' -delete
 	dh_install --fail-missing
+
+override_dh_auto_configure:
+	dh_auto_configure -- --disable-silent-rules

## parole 0.9.1

=== debian/changelog ===
parole (0.9.1-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix/development release

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 26 Feb 2017 09:47:47 -0500

parole (0.9.0-0ubuntu1) zesty; urgency=medium

  * New upstream development release
  * debian/patches:
    - Dropped, included upstream.

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 15 Feb 2017 20:38:24 -0500

## parole 0.9.2

=== debian/changelog ===
parole (0.9.2-1) experimental; urgency=medium

  [ Unit 193 ]
  * New upstream development release.
  * Update standards-version to 4.0.0.
  * d/rules:
    - Strip -Wl,-Bsymbolic-functions from LDFLAGS as it breaks plugins.
    - Drop override for --disable-silent-rules, it's default now.
    - Replace find-and-delete with -X .la to exclude '.la' files.
    - Use dh_missing instead of dh_install --fail-missing.

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 08 Jul 2017 16:32:26 +0200

parole (0.9.1-1) experimental; urgency=medium

  * New upstream development release.
  * debian/control:
    - update standards version to 3.9.8.

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 26 Mar 2017 23:57:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: parole
 Section: xfce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
+Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>, 
  Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9), intltool, pkg-config, libgtk-3-dev, 
  libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev, libdbus-1-dev, 
- libdbus-glib-1-dev, libxfce4ui-2-dev, libxfconf-0-dev (>= 4.10), 
+ libdbus-glib-1-dev, libxfce4ui-2-dev, libxfconf-0-dev (>= 4.10),
  libnotify-dev, libtagc0-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://goodies.xfce.org/projects/applications/parole
 Vcs-Svn: svn://anonscm.debian.org/pkg-xfce/goodies/trunk/parole/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-xfce/goodies/trunk/parole/
 
 Package: parole
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- gstreamer1.0-x, gstreamer1.0-libav, gstreamer1.0-plugins-base,
+Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer1.0-x,
+ gstreamer1.0-libav, gstreamer1.0-plugins-base,
  gstreamer1.0-alsa | gstreamer1.0-audiosink, gstreamer1.0-plugins-good
-Recommends: gstreamer1.0-pulseaudio
 Suggests: gstreamer1.0-plugins-ugly, gstreamer1.0-plugins-bad,
  gnome-codec-install
 Description: media player based on GStreamer framework
@@ -34,7 +32,7 @@
 Package: parole-dev
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libxfce4util-dev, libglib2.0-dev,
- libgtk-3-dev  (>= 3.10)
+ libgtk-3-dev
 Description: development files for Parole media player
  Parole is a media player for the Xfce desktop environment, written using the
  GStreamer framework.

## parole 1.0.0

=== debian/changelog ===
parole (1.0.0-1) unstable; urgency=medium

  * Moved the package to git on salsa.debian.org
  * Updated the maintainer address to debian-xfce@lists.debian.org
  * New upstream version 1.0.0
  * run wrap-and-sort
  * d/control: add missing b-deps on clutter
  * d/rules: move appdata files to /u/s/metainfo
  * Upload to unstable

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 10 Mar 2018 15:02:28 +0100

=== debian/control ===
Source: parole
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Lionel Le Folgoc <mrpouit@gmail.com>
Build-Depends: debhelper (>= 9),
               intltool,
               libclutter-1.0-dev,
               libclutter-gtk-1.0-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev,
               libnotify-dev,
               libtagc0-dev,
               libxfce4ui-2-dev,
               libxfconf-0-dev (>= 4.10),
               pkg-config
Standards-Version: 4.0.0
Homepage: http://goodies.xfce.org/projects/applications/parole
Vcs-Git: https://salsa.debian.org/xfce-team/apps/parole.git
Vcs-Browser: https://salsa.debian.org/xfce-team/apps/parole

Package: parole
Architecture: any
Depends: gstreamer1.0-alsa | gstreamer1.0-audiosink,
         gstreamer1.0-libav,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-x,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gnome-codec-install,
          gstreamer1.0-plugins-bad,
          gstreamer1.0-plugins-ugly
Description: media player based on GStreamer framework
 Parole is a media player for the Xfce desktop environment, written using the
 GStreamer framework.
 .
 Parole features playback of local media files, including video with subtitles
 support, DVD/CD and live streams; it is also extensible via plugins.
 .
 This package contains Parole media player.

Package: parole-dev
Architecture: any
Depends: libglib2.0-dev,
         libgtk-3-dev,
         libxfce4util-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for Parole media player
 Parole is a media player for the Xfce desktop environment, written using the
 GStreamer framework.
 .
 Parole features playback of local media files, including video with subtitles
 support, DVD/CD and live streams; it is also extensible via plugins.
 .
 This package contains development files for Parole's plugin interface.

## parole 1.0.1

=== debian/changelog ===
parole (1.0.1-0ubuntu1) bionic; urgency=medium

  * New upstream translations release.

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 12 Apr 2018 05:45:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: parole
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9),

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed -Wl,-O1
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_makeshlibs:
	dh_makeshlibs -X usr/lib/$(DEB_HOST_MULTIARCH)/parole-0

override_dh_install:
	mv debian/tmp/usr/share/appdata debian/tmp/usr/share/metainfo
	dh_install -X .la

override_dh_missing:
	dh_missing --fail-missing -X .la

=== debian/watch ===
version=3
http://archive.xfce.org/src/apps/parole/([\d\.]+)/ \
	parole-([\d\.]+)\.tar\.(?:gz|bz2)

## parole 1.0.2

=== debian/changelog ===
parole (1.0.2-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release.
    - Fix crash when disabling plugins (LP: #1698540)
    - Fix play button when adding items to the playlist (LP: #1705243)

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 04 Apr 2019 19:40:49 -0400

parole (1.0.1-1build1) devel; urgency=medium

  * No-change rebuild against libxfconf-0-3.

 -- Unit 193 <unit193@ubuntu.com>  Tue, 26 Jun 2018 00:07:47 -0400

parole (1.0.1-1) unstable; urgency=medium

  * d/gbp.conf added, following DEP-14
  * New upstream version 1.0.1

 -- Yves-Alexis Perez <corsac@debian.org>  Fri, 13 Apr 2018 16:53:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: parole
 Section: xfce
 Priority: optional
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9),

## parole 1.0.3

=== debian/changelog ===
parole (1.0.3-0.1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Jul 2019 13:52:31 -0700

parole (1.0.3-0ubuntu2~ubuntu18.04) bionic; urgency=low

  * New upstream bugfix release.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Thu, 04 Apr 2019 19:40:49 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: parole
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+# XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Lionel Le Folgoc <mrpouit@gmail.com>
 Build-Depends: debhelper (>= 9),

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 	dh_makeshlibs -X usr/lib/$(DEB_HOST_MULTIARCH)/parole-0
 
 override_dh_install:
-	mv debian/tmp/usr/share/appdata debian/tmp/usr/share/metainfo
 	dh_install -X .la
 
 override_dh_missing:

## parole 1.0.4

=== debian/changelog ===
parole (1.0.4-1~18.04) bionic; urgency=medium

  * No-change backport to bionic

 -- Unit 193 <unit193@ubuntu.com>  Wed, 28 Aug 2019 23:04:04 -0400

parole (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.2
  * New upstream version 1.0.4
  * d/rules: stop moving appdata to appstream folder
  * d/control: update dh compat level to 11

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 26 Aug 2019 10:42:24 +0200

parole (1.0.2-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * New upstream version 1.0.2

  [ Yves-Alexis Perez ]
  * d/control: drop Lionel from uploaders, thanks!
  * d/control: use debhelper-compat b-d and update to 10
  * d/control: add b-d on xfce4-dev-tools and gtk-doc-tools
  * d/rules: make sure m4/ exists before running autoreconf
  * d/rules: drop --parallel to dh
  * use HTTPS protocol where needed
  * d/control: drop suggests on gnome-codec-install
  * d/control: update standards version to 4.4.0

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 10 Jul 2019 20:04:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: parole
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
-# XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
-Uploaders: Yves-Alexis Perez <corsac@debian.org>,
-           Lionel Le Folgoc <mrpouit@gmail.com>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Uploaders: Yves-Alexis Perez <corsac@debian.org>
+Build-Depends: debhelper-compat (= 11),
+               gtk-doc-tools,
                intltool,
                libclutter-1.0-dev,
                libclutter-gtk-1.0-dev,
@@ -19,9 +17,10 @@
                libtagc0-dev,
                libxfce4ui-2-dev,
                libxfconf-0-dev (>= 4.10),
-               pkg-config
-Standards-Version: 4.0.0
-Homepage: http://goodies.xfce.org/projects/applications/parole
+               pkg-config,
+               xfce4-dev-tools
+Standards-Version: 4.4.0
+Homepage: https://goodies.xfce.org/projects/applications/parole
 Vcs-Git: https://salsa.debian.org/xfce-team/apps/parole.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/apps/parole
 
@@ -34,8 +33,7 @@
          gstreamer1.0-x,
          ${misc:Depends},
          ${shlibs:Depends}
-Suggests: gnome-codec-install,
-          gstreamer1.0-plugins-bad,
+Suggests: gstreamer1.0-plugins-bad,
           gstreamer1.0-plugins-ugly
 Description: media player based on GStreamer framework
  Parole is a media player for the Xfce desktop environment, written using the

=== debian/watch ===
version=3
https://archive.xfce.org/src/apps/parole/([\d\.]+)/ \
	parole-([\d\.]+)\.tar\.(?:gz|bz2)

## parole 1.0.5

=== debian/changelog ===
parole (1.0.5-1) unstable; urgency=medium

  * d/watch: update to use uscan special strings
  * New upstream version 1.0.5
  * d/control: update dh compat level to 12
  * d/control: update standards version to 4.4.1

 -- Yves-Alexis Perez <corsac@debian.org>  Tue, 31 Dec 2019 16:55:37 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                gtk-doc-tools,
                intltool,
                libclutter-1.0-dev,
@@ -19,7 +19,7 @@
                libxfconf-0-dev (>= 4.10),
                pkg-config,
                xfce4-dev-tools
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://goodies.xfce.org/projects/applications/parole
 Vcs-Git: https://salsa.debian.org/xfce-team/apps/parole.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/apps/parole

## parole 4.16.0

=== debian/changelog ===
parole (4.16.0-1) unstable; urgency=medium

  * New upstream version 4.16.0
  * d/control: update standards version to 4.5.1
  * d/watch: update format version to 4

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 11 Jan 2021 09:01:26 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libxfconf-0-dev (>= 4.10),
                pkg-config,
                xfce4-dev-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: https://goodies.xfce.org/projects/applications/parole
 Vcs-Git: https://salsa.debian.org/xfce-team/apps/parole.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/apps/parole

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,11 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
-	dh $@ --parallel
+	dh $@
+
+override_dh_autoreconf:
+	mkdir -p m4
+	dh_autoreconf
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X usr/lib/$(DEB_HOST_MULTIARCH)/parole-0

## parole 4.18.0

=== debian/changelog ===
parole (4.18.0-0ubuntu1) devel; urgency=medium

  * New upstream release.
    - Drop patches from upstream.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 26 Feb 2023 23:38:32 -0500

parole (4.16.0-3) unstable; urgency=medium

  * d/p/0002-build-Bump-GLib-minimum-required-to-2.38 added (Closes: #1027900)
  * d/control: update standards version

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 18 Jan 2023 20:30:33 +0100

parole (4.16.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + parole-dev: Add Multi-Arch: same.

  [ Yves-Alexis Perez ]
  * d/patches: include upstream patch to replace DATADIRNAME in configure.ac
    (Closes: #1026648)
  * d/control: update standards version to 4.6.1

 -- Yves-Alexis Perez <corsac@debian.org>  Mon, 02 Jan 2023 13:59:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: parole
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 12),
                gtk-doc-tools,
@@ -19,7 +20,7 @@
                libxfconf-0-dev (>= 4.10),
                pkg-config,
                xfce4-dev-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://goodies.xfce.org/projects/applications/parole
 Vcs-Git: https://salsa.debian.org/xfce-team/apps/parole.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/apps/parole
@@ -51,6 +52,7 @@
          libxfce4util-dev,
          ${misc:Depends},
          ${shlibs:Depends}
+Multi-Arch: same
 Description: development files for Parole media player
  Parole is a media player for the Xfce desktop environment, written using the
  GStreamer framework.

## parole 4.18.1

=== debian/changelog ===
parole (4.18.1-1~mx23) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 01 Sep 2024 16:53:24 +0000

parole (4.18.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.1.
  * d/control: Add 4.18.1 version constraint to xfce4-dev-tools.

 -- Unit 193 <unit193@debian.org>  Wed, 06 Dec 2023 00:14:51 -0500

parole (4.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.0.
    - Drop upstream patches.
  * d/rules:
    - Drop autoreconf workaround.
    - Opt-out of trimmed changelogs, install NEWS as changelog.

 -- Unit 193 <unit193@debian.org>  Fri, 16 Jun 2023 03:27:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: parole
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 12),
@@ -19,7 +19,7 @@
                libxfce4ui-2-dev,
                libxfconf-0-dev (>= 4.10),
                pkg-config,
-               xfce4-dev-tools
+               xfce4-dev-tools (>= 4.18.1)
 Standards-Version: 4.6.2
 Homepage: https://goodies.xfce.org/projects/applications/parole
 Vcs-Git: https://salsa.debian.org/xfce-team/apps/parole.git

## parole 4.18.2

=== debian/changelog ===
parole (4.18.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.18.2.
  * d/control: Update B-D, intltool → gettext, pkg-config → pkgconf.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Thu, 16 Jan 2025 01:38:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: parole
 Section: xfce
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: debhelper-compat (= 12),
+               gettext,
                gtk-doc-tools,
-               intltool,
                libclutter-1.0-dev,
                libclutter-gtk-1.0-dev,
                libdbus-1-dev,
@@ -18,9 +17,9 @@
                libtagc0-dev,
                libxfce4ui-2-dev,
                libxfconf-0-dev (>= 4.10),
-               pkg-config,
+               pkgconf,
                xfce4-dev-tools (>= 4.18.1)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://goodies.xfce.org/projects/applications/parole
 Vcs-Git: https://salsa.debian.org/xfce-team/apps/parole.git
 Vcs-Browser: https://salsa.debian.org/xfce-team/apps/parole
